*{
    box-sizing: border-box;
    font-family: "IBM Plex Mono", monospace;
    font-style: normal;
}

body{
    background-color: #000000;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}


#menu-icon{
    width: 30px;
    height: 20px;
}

.top, .bottom{
    stroke-width: 6px;
}

#menu-icon line {
    transition: all 0.4s ease;
}
  
#menu-icon.collapsed .top {
    transform: translateY(10px); /* Move to center */
}
  
#menu-icon.collapsed .bottom {
    transform: translateY(-10px); /* Move to center */
}

nav{
   display: none;
}

header{
    top: 0;
    height: 12vh;
    display: flex;
    color: #ffffff;
    z-index: 10;
    position: fixed;
    width: 100vw;
    max-width: 100%;
    align-items: center;
    gap: 40vw;
    justify-content: space-around;
    background-color: #000000;
}

.mobile_nav{
    position: fixed;
    width: 100%;
    height: 88dvh;
    bottom: 0;
    background: rgba(0, 0, 0, 0.926);
    z-index: 99;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-self: center;
    display: none;
    transition: all 0.5s ease-in-out;
}

.mobile_nav ul{
    padding: 0;
    margin: 0;
    list-style-type: none;
}

.mobile_nav ul li a{
    color: inherit;
    cursor: pointer;
    text-decoration: none;
}  
 
.mobile_nav ul li.active{
    color: #bcbcbc;
}

.mobile_nav ul li{
    text-align: center;
    font-weight: 400;
    margin-bottom: 1rem;
}

.name{
    display: flex;
    justify-self: center;
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 15px;
}

.menu_but{
    display: flex;
    justify-self: center;
}

.about_class{
    position: relative;
    height: 70vh;
    overflow: hidden;
    margin-top: 10vh;

}

.about_class img{
    width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.about_overlay{
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 70%;
    background: linear-gradient(to top, rgb(0, 0, 0, 1), transparent);
    z-index: 1;
}

.abt_content{
    position: relative;
    bottom: 0;
    color: white;
    z-index: 2;
    padding: 0 25px;
    display: block;
    margin-top: -20vh;
}

.ap1{
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.2;
    font-family: "Inter", sans-serif;
    color: #ffffff;
}

.ap2{
    font-size: .875rem;
    line-height: 1.4;
}

.seperate{
    background-color: gray;
    height: 1px;
    width: 90vw;
    display: flex;
    justify-self: center;
    margin-top: 15vh;
    position: relative;
    animation: seperate  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 20%;
}


.clients{
    padding: revert-layer;
    margin-top: 10vh;
    width: 90vw;
    display: flex;
    flex-direction: column;
    justify-self: center;
    overflow-x: clip;
}
.cl1{
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.2;
    font-family: "Inter", sans-serif;
    color: #ffffff;
    margin-bottom: 5vh;
    position: relative;
    animation: appear  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 20%;
}
.cl2{
    display: grid;
    grid-template-columns: 47% 47%;
    justify-items: center;
    grid-column-gap: 1rem;
    grid-row-gap: 1rem;
}

.pile{
    background-color: #242424;;
    width: 100%;
    aspect-ratio: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #0000;
    position: relative;
    animation: appear  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 30%;
}
.pile img{
    width: 50%;
    height: 1.5rem;
    justify-self: center;
}

.awards{
    padding: revert-layer;
    margin-top: 10vh;
    width: 90vw;
    display: flex;
    flex-direction: column;
    justify-self: center;
}

.award1{
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.2;
    font-family: "Inter", sans-serif;
    color: #ffffff;
    position: relative;
    animation: seperate  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 30%;
}

.award2{
    margin-top: 2rem;
}

.awa1, .awa2, .awa3 {
    width: 95%;
    height: max-content;
    display: flex;
    justify-content: center;
    justify-self: center;
    align-items: center;
    flex-wrap: wrap;
    align-content: center;
    flex-direction: column;
    padding: 1rem;
    gap: 1rem;
    margin-bottom: 2rem;
    box-shadow: 0 0 0 0.5px white;
    position: relative;
    animation: seperate  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 30%;
}

.a1{
    grid-column-gap: 1rem;
    justify-content: flex-start;
    align-items: center;
    display: flex;
    justify-content: center;
    max-width: 90%;
}

.a1 p{
    color: #ffffff;
    font-weight: 400;
    margin: 0;
    font-size: .875rem;
    text-align: center;
}

.a2{
    display: flex;
    flex-wrap: wrap;
}

.a2 div{
    grid-column-gap: .5rem;
    grid-row-gap: .5rem;
    flex-flow: wrap;
    justify-content: center;
    align-items: center;
    display: flex;
}
.a2 p{
    color: #888;
    margin: 0;
    grid-column-gap: .25rem;
    grid-row-gap: .25rem;
    background-color: #3c3f42;
    border-radius: 5rem;
    justify-content: flex-start;
    align-items: center;
    padding: .25rem 1.25rem;
    font-size: .75rem;
    font-weight: 600;
    display: flex;
}

.about-awards_icon{
    width: .75rem;
}

.socials{
    padding: revert-layer;
    margin-top: 10vh;
    width: 90vw;
    display: flex;
    flex-direction: column;
    justify-self: center;
}

.socials1{
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.2;
    font-family: "Inter", sans-serif;
    color: #ffffff;
    position: relative;
    animation: seperate  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 30%;
}

.socials2{
    grid-row-gap: 1rem;
    flex-flow: column;
    flex: 1;
    justify-content: flex-start;
    align-items: flex-start;
    display: flex;
    margin-top: 2rem;
    margin-bottom: 2rem;
    position: relative;
    animation: seperate  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 30%;
}

.soc{
    grid-column-gap: .5rem;
    color: #fff;
    text-align: center;
    text-transform: uppercase;
    background-color: #0000;
    border: 1px solid #fff;
    border-radius: 9rem;
    justify-content: center;
    align-items: center;
    padding: 1.25rem 3rem;
    font-family: PT Mono,sans-serif;
    font-size: 1rem;
    font-weight: 400;
    display: flex;
    position: relative;
    overflow: hidden;
    transition: all 0.5s ease-in-out ;
}

.soc:hover{
    color: #000000;
    background-color: #fff;
}

@keyframes appear {
    from{
        opacity: 0;
        scale: 0.9;
    }
    to{
        opacity: 1;
        scale: 1;
    }
       
}

@keyframes seperate {
    from{
        opacity: 0;
        scale: 0.9;
    }
    to{
        opacity: 1;
        scale: 1;
    }
}

@media screen and (min-width: 768px) {
    header{
        gap: 0;
        justify-content: space-between;
        padding: 0 15px;
    }
    #menu-icon {
        display: none;
    }
    nav{
        display: flex;
        width: 40%;
    }
    nav ul{
        list-style-type: none;
        display: flex;
        justify-content: space-between;
        padding: 0;
        margin: 0;
        width: 100%;
        font-family: "Inter", sans-serif;
        font-size: 13px;
        font-weight: 600;
    }

    nav ul li a{
        color: inherit;
        cursor: pointer;
        text-decoration: none;
    }   

    nav ul li:hover{
        color: #bcbcbc;
        cursor: pointer;
    }

    nav ul li:active{
        color: #e8e8e8;
    }

    nav ul li.active{
        color: #bcbcbc;
    }

    .abt_content, .clients, .awards, .socials, .seperate{
        width: 60%;
       float: right;
    }

    .soc {
        padding: 1rem 2rem;
    }

}

@media screen and (min-width: 1024px) {
    .name{
        font-size: 20px;
    }
    .ap1, .cl1, .award1, .socials1{
        font-size: 2rem;
    }

    .ap2{
        font-size: 1.258rem;
    }

    .awa1, .awa2, .awa3 {
        margin-bottom: 2.5rem;
    }
    .pile {
        aspect-ratio: 2.2;
    }

    .pile img{
        height: 2rem;
    }
}

@media screen and (min-width: 1440px) {
    .name {
        font-size: 30px;
    }

    nav ul {
        font-size: 20px;
    }

    .ap1, .cl1, .award1, .socials1 {
        font-size: 3.5rem;
    }

    .ap2 {
        font-size: 1.9rem;
    }

    .pile img {
        height: 2.5rem;
    }

    .cl2 {
        gap: 2.5rem 2.5rem;
    }

    .awa1, .awa2, .awa3 {
        box-shadow: 0 0 0 1.5px white;
    }
    
    .a1 p {
        font-size: 1.875rem;
    }

    .a2 p {
        font-size: 1.3rem;
    }

    .about-awards_icon {
        width: 1.75rem;
    }

    .soc {
        padding: 2rem 4rem;
        font-size: 2rem;
    }
}


